# Web Presence UI

This is a UI project which uses the S4B Server Presence API to display Active Directory users' presence.

## Requirements
1. NodeJS - [download here](https://nodejs.org/en/download/)

## Set up
0. Open Terminal or PowerShell
1. `cd` to this project directory
2. Run `npm install`
3. Open `config.js` and enter S4B Server Presence server name and user sips

## Commands
1. `npm start` - Starts the development server at port 3000
2. `npm run build` - Bundles the app into static files in a folder named __build__ for production

## Deployment
There are two high level steps to deploy this UI project:
1. Creating static files,
2. Pushing (copy and pasting) the static files to a server.

### Step 1: Creating static files
- To create the static files, run `npm build`. This will create a folder named __build__ in the root folder.

### Step 2: Pushing the static files to a server
This step assumes that you have a server and know where to place static website into that server.
1. Open the newly created __build__ folder
2. Copy and paste everything inside the build folder to your server