const convertSkypeAvailability = function(availabilityValue) {
  if (availabilityValue === 0) return 'None'
  else if (availabilityValue >= 18000 ) return 'Offline'
  else if (availabilityValue >= 15000 ) return 'Away'
  else if (availabilityValue >= 12000 ) return 'Be Right Back'
  else if (availabilityValue >= 9000 ) return 'Do Not Disturb'
  else if (availabilityValue >= 7500 ) return 'Busy-Idle'
  else if (availabilityValue >= 6000 ) return 'Busy'
  else if (availabilityValue >= 4500 ) return 'Idle Online'
  else if (availabilityValue >= 1) return 'Online'
  else return 'Unknown' // for an invalid sip
}

export default convertSkypeAvailability